Page MenuHomePhabricator

Only display "Remember selection for future searches" when user is logged in
Closed, ResolvedPublic1 Story Points

Description

Wit the AC from T181638: "Remember selection for future searches" feature for AdvancedSearch, the checkbox for storing the current namespace selection is always present. However, the namespace selection can only be stored when the user is logged in, otherwise, the checkbox will be ignored. This will be confusing for non-logged in users when AdvancedSearch comes out of beta and is available for all users.

Acceptance criteria:

  • The checkbox "Remember selection for future searches" is only shown to non-anonymous users.

Tip for fixing:

Make advancedSearch depend on mw.user and check mw.user.isAnon()

Event Timeline

gabriel-wmde triaged this task as Normal priority.Mar 12 2018, 3:26 PM
gabriel-wmde created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 12 2018, 3:26 PM
gabriel-wmde changed the point value for this task from 2 to 1.Mar 12 2018, 3:26 PM
Tim_WMDE claimed this task.Jun 1 2018, 3:36 PM
Tim_WMDE moved this task from Tickets ready for pickup to In FUN sprint on the Advanced-Search board.
Tim_WMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-05-28 board.

Change 437244 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/AdvancedSearch@master] Hide "Remember selection" from anon users

https://gerrit.wikimedia.org/r/437244

Tim_WMDE removed Tim_WMDE as the assignee of this task.Jun 4 2018, 1:30 PM
Tim_WMDE moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-05-28 board.
Tim_WMDE added a subscriber: Tim_WMDE.
Tim_WMDE removed Tim_WMDE as the assignee of this task.Jun 5 2018, 10:41 AM
Tim_WMDE moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-05-28 board.

Change 437244 merged by Tonina Zhelyazkova:
[mediawiki/extensions/AdvancedSearch@master] Hide "Remember selection" from anon users

https://gerrit.wikimedia.org/r/437244

@Tonina_Zhelyazkova_WMDE I just realised, I can't really test that because advanced search is a beta feature that only logged in users can use.

Is there a way for me to circumvent it or can I assume that if the old advanced search interface is missing the checkbox then the new one will aswell?

@Charlie_WMDE No, there is actually no way to currently test this properly. You can assume it works correctly if the previous behavior for logged-in users still functions normally.

thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:06 PM
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:51 AM